<bugID>986503<Summary>Merge CustomizableUI.jsm and CustomizableWidgets.jsm to reduce compartment overhead</Summary><Description>In bug 860642, we split out the widget definitions from CustomizableUI.jsm into CustomizableWidgets.jsm in an effort to reduce the complexity of CustomizableUI.jsm.

The JSM route was chosen arbitrarily by myself[1]. Maybe we should try doing a preprocessing include instead?

According to https://groups.google.com/forum/#!topic/mozilla.dev.platform/sAuhWQOAWic, CustomizableUI and CustomizableWidgets are new compartments contributing to the creeping start-up memory usage.

[1]: https://bugzilla.mozilla.org/show_bug.cgi?id=860642#c2</Description></bugID>